CorebanqCorebanq Developer Docs
Customersv1

Patch customer (partial update)

Partially update one or more customer fields. Only provided fields are updated.

PATCH/v1/customers/{id}

Path Parameters

id*string

id path parameter

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/v1/customers/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "abbr": "string",
  "logo": "string",
  "documents": {
    "corp_struct": "string",
    "share_reg": "string"
  },
  "uid": "string",
  "date_of_registration": "2019-08-24",
  "legal_form": "string",
  "seat": "string",
  "status": "string",
  "principal_id": "b0fe3bdd-8201-445a-aab3-a018692d6aca",
  "counterparty_id": "fd38dae9-b300-4017-a630-101c4279eafd",
  "signing_room_id": "28729801-1bf1-402c-b869-2a7f0d1564b5",
  "chatroom_id": "bf93f1ad-9523-425d-b492-784fe0a4c2be",
  "tariff_id": "d82b8db6-f412-4b9c-8c5e-6a0221035c86",
  "fx_tariff_id": "f12d958c-c80c-4752-862c-9e0c09506488",
  "name": "string",
  "description": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "created_at": "2019-08-24T14:15:22Z",
  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
  "modified_at": "2019-08-24T14:15:22Z",
  "modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f",
  "active": true,
  "metadata": {},
  "addresses": [
    {
      "street": "string",
      "city": "string",
      "postal_code": "string",
      "country": "string"
    }
  ]
}